; Start of demo

DoDemo          ld iy,DemoData                  ;

DemoLoop        ld hl,(iy+dDemoText)            ;

                ld a,l                          ;
                or h                            ;
                jr z,DemoQuit                   ;

                push iy                         ;
                call vAddScroll                 ;
                pop iy                          ;

                ld hl,(iy+dDemoObje)            ;

                ld bc,4                         ;
                add iy,bc                       ;

                push hl                         ;
                pop ix                          ;

                push iy                         ;
                call NextObje                   ;
                pop iy                          ;

                ld hl,-$B0                      ;
                ld bc,$80                       ;

                call DemoFlyIn                  ;

                ld hl,-$10                      ;
                ld bc,$90                       ;

                call DemoFlyIn                  ;

                jp DemoLoop                     ;

DemoQuit        di                              ;
                ret                             ;

DemoFlyIn       ld (DeltaZ),hl                  ;

DemoLp          push iy                         ;
                push bc                         ;

                call ShowObje                   ;
                call ShowStars                  ;

                pop bc                          ;
                pop iy                          ;

                cpi                             ;
                jp pe,DemoLp                    ;

                ret                             ;

sdIris          defb cCyan,"Various holes in force fields which must be flown through .",0,$FF

sdHoles         defb cCyan,"yet more holes which must be flown through .",0,$FF

sdDef           defb cCyan,"Various defences .",0,$FF

sdCode          defb cYellow,"This is a code store , the code is revealed on impact ",0,$FF

DemoData        defw sdIris,IrisDemo            ;
                defw sdHoles,HoleDemo           ;
                defw sdDef,TowerDemo            ;
                defw sdCode,CodeDemo            ;
                defw 0,0                        ;

; End of demo